main.floors.MT50=
{
    "floorId": "MT50",
    "title": "魔塔 第50层",
    "name": "第 50 层",
    "width": 13,
    "height": 13,
    "map": [
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  1,  1,  1,  1,  1,  4,  4,  4,  4],
    [  4,  4,  4,  4,  1,  0,123,  0,  1,  4,  4,  4,  4],
    [  4,  4,  4,  4,  1,  0,  0,  0,  1,  4,  4,  4,  4],
    [  4,  4,  4,  4,  1,  0,  0,226,  1,  4,  4,  4,  4],
    [  4,  4,  4,  4,  1,  1,  1,  1,  1,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4],
    [  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4,  4]
],
    "canFlyTo": false,
    "canFlyFrom": false,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 5,
    "defaultGround": "ground",
    "bgm": "truth.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "6,5": [
            "\t[hero]你怎会在这里！你到底是谁？",
            "\t[小偷,thief]我在这里只有一个理由，那就是…",
            {
                "type": "playSound",
                "name": "3F.mp3"
            },
            {
                "type": "hide",
                "time": 500
            },
            {
                "type": "setBlock",
                "number": "249"
            },
            {
                "type": "show",
                "time": 500
            },
            "\t[hero]啊！你就是魔王！你怎么还活着？",
            "\t[redKing]我是不会死的。以前我只是对你的能力做测试而已。",
            "\t[hero]什么？你这是什么意思？你为什么要做这样的事情？",
            "\t[redKing]神圣剑 是你拥有的武器，智慧权杖 是我所拥有的武器。传说中说过无论谁使用它们都必需要有足够的智慧，且剑只能被真正的战士使用。",
            "\t[hero]如你所说我就是那个战士",
            "\t[redKing]是的，你是最合适的人选。但你刚到魔塔时，你的能力还不足以支配神圣剑。因此我在塔内安排了各类机关，让你通过战斗直到可以控制神圣剑。",
            "\t[hero]很好，那么外面传说有一个公主被困在魔塔，就是为了把我骗到这里。是这样的吗？",
            "\t[redKing]是的。现在如果我们能够合作那么闹剧就结束了。现在让我们一起用权杖破坏神圣剑，这样伟大的时代就要降临了。",
            "\t[hero]我不会让你毁了神圣剑, 让黑暗降临的。"
        ],
        "7,7": {
            "trigger": null,
            "enable": false,
            "noPass": null,
            "displayDamage": true,
            "data": []
        }
    },
    "changeFloor": {},
    "afterBattle": {
        "6,5": [
            {
                "type": "if",
                "condition": "flag:addhp",
                "true": [
                    {
                        "type": "win",
                        "reason": "通关疯狂加血版魔塔"
                    }
                ],
                "false": [
                    {
                        "type": "setBlock",
                        "number": "swordEmperor",
                        "loc": [
                            [
                                6,
                                5
                            ]
                        ],
                        "time": 0
                    },
                    {
                        "type": "show",
                        "loc": [
                            [
                                6,
                                5
                            ]
                        ],
                        "time": 0
                    },
                    "\t[魔王,redKing]你是如此的强大…居然能打败我…但是你封印不了我…我还会复活的…哈哈哈哈…",
                    "\t[hero]坏了，魔王没有被消灭，让他这样下去，世界会变得很黑暗啊！怎么办？",
                    {
                        "type": "show",
                        "loc": [
                            [
                                7,
                                7
                            ]
                        ],
                        "time": 500
                    },
                    {
                        "type": "move",
                        "loc": [
                            7,
                            7
                        ],
                        "time": 200,
                        "keep": true,
                        "steps": [
                            "up:2"
                        ]
                    },
                    "\t[骑士队长,yellowKnight]勇士大人，我总算赶到了！魔王没被封印是吧？我来封印他",
                    "\t[hero]好的骑士队长，交给你了",
                    "\t[骑士队长,yellowKnight]魔王，你的死期到了！看我赶紧喝下变异药水！",
                    "\t[魔王,redKing]啊？！你是骑士队长？？？你怎么在这里",
                    {
                        "type": "hide",
                        "loc": [
                            [
                                7,
                                5
                            ]
                        ],
                        "time": 500
                    },
                    {
                        "type": "setBlock",
                        "number": "N334",
                        "loc": [
                            [
                                7,
                                5
                            ]
                        ]
                    },
                    {
                        "type": "show",
                        "loc": [
                            [
                                7,
                                5
                            ]
                        ],
                        "time": 500
                    },
                    "\t[骑士队长,N334]魔王，老子早看你不爽了，我代表我们骑士军团，亲手将你的头颅砍下！",
                    "\t[魔王,redKing]反了你，你居然还学会造反了，看我怎么收拾你",
                    "\t[骑士队长,N334]勇士大人，快，一起杀了他！",
                    "\t[hero]好的！魔王给我去死吧！！！",
                    {
                        "type": "setBgFgBlock",
                        "name": "fg",
                        "number": "T338",
                        "loc": [
                            [
                                6,
                                5
                            ]
                        ]
                    },
                    {
                        "type": "showBgFgMap",
                        "name": "fg",
                        "loc": [
                            [
                                6,
                                5
                            ]
                        ]
                    },
                    {
                        "type": "playSound",
                        "name": "attack.mp3",
                        "sync": true
                    },
                    {
                        "type": "hideBgFgMap",
                        "name": "fg",
                        "loc": [
                            [
                                6,
                                5
                            ]
                        ]
                    },
                    "\t[魔王,redKing]呃啊啊啊啊！我……居然……死在了……一个……培养蛊……和一个……叛徒……的……尖刀利刃……之下……",
                    {
                        "type": "hide",
                        "loc": [
                            [
                                6,
                                5
                            ]
                        ],
                        "time": 500
                    },
                    "\t[骑士队长,N334]魔王终于被我们杀死了。勇士，我们回家举功庆祝！",
                    "\t[hero]好",
                    {
                        "type": "win",
                        "reason": "Best End（勇士和骑士队长凯旋归来）"
                    }
                ]
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "bgmap": [

],
    "fgmap": [

],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}